<?php
/**
 * @package		Joomla Bamboo Zen Grid Framework
 * @Type        Core Framework Files
 * @version		v1.0
 * @author		Joomal Bamboo http://www.joomlabamboo.com
 * @copyright 	Copyright (C) 2007 - 2010 Joomla Bamboo
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */

// Check to ensure this file is within the rest of the framework
defined('JPATH_BASE') or die;
jimport('joomla.html.html');
jimport('joomla.form.formfield');

/**
 * Renders a editors element
 *
 * @package 	Joomla.Framework
 * @subpackage		Form
 * @since		1.6
 */

class JFormFieldZendesc extends JFormField
{    
	protected  $type = 'zendesc';

	protected function getInput()
	{
		require_once(JPATH_ROOT.DS.'/templates/zengridframework/admin/classes/zengrid.php');
		return '<p class="jbdesc">' . str_replace('[template]', Zengrid::getTemplate(), parent::getLabel()) . '</p>';
	}
	
	public function getLabel() {

		return '<span class="hideLabel"></span>';

	}

}
?>