<?php
/**
 * @package		Joomla Bamboo Zen Grid Framework
 * @version		v1.0
 * @author		Joomal Bamboo http://www.joomlabamboo.com
 * @copyright 	Copyright (C) 2007 - 2010 Joomla Bamboo
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * The Zen Grid Framework is a templating framework that uses the Joomla Content Manament System (http://www.joomla.org)
 * This file is called if the nav layout override is enabled and is placed in the templates/[your template name]/layout folder. 
 */
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted index access' );
?>
									


<!-- Nav Wrapper -->
<div class="outerWrapper navRow">
		<div class="container <?php echo $position ?>" style="width:<?php echo $tWidth ?>px;<?php echo $containerOffset?>">
				<div class="containerBG">
						<div class="innerContainer" style="width:<?php echo $contentWidth ?>px;margin-left:<?php echo $gutter ?>px">
										
									
								<div id="navWrapper">
								
								
										<?php if ($logoPosition =="below") { 
											
											require(YOURBASEPATH .DS."layout/logo.php");  } 
										
										?>
										
										
										<div id="navWrap" <?php if ($navLeft) { ?> class="navLeft" <?php } ?>style="width:<?php echo $$navCols; ?>px">
											
											<div id="navLeft">
													<div id="navRight">
														<div id="nav" class="<?php echo $fontStackNav ?>">
															
																<?php if ($splitMenu) {

																require(JPATH_ROOT."/templates/zengridframework/layout/splitmenuTop.php"); 


																} else { ?>

																<jdoc:include type="modules" name="menu" style="jbChrome" />

																<?php } ?>
														</div>	
													</div>
											</div>
												
												<?php if($this->countModules('search')) : ?>
												<div id="searchWrap">
														<div id="search">
															<jdoc:include type="modules" name="search"style="jbChrome" />
														</div>
												</div>
												<?php endif; ?>
												
										<?php if($this->countModules('panel1') || $this->countModules('panel2') || $this->countModules('panel3') || $this->countModules('panel4')) : ?>
										<div id="overlay" class="<?php echo $panelColor ?>"></div>
					
										<!-- The tab on top -->	
										<div id="paneltabWrap">
												<div id="paneltab" class="tab">
																											
															<a id="openPanel" rel="#panelInner" href="#"><?php echo $openPanel ?></a>									
														
												</div>
										</div>
										<!-- / top -->

									
									<div id="hiddenPanel" style="width:<?php echo $panelWidth; ?>px" class="overlay">
										<a id="closePanel" rel="#panelInner" href="#"><img src="templates/<?php echo $this->template ?>/images/panel/panelClose.png" class="closePanelImg" alt="Close Panel" /></a>
											<div id="hiddenPanelInner"  class="<?php echo $panelColor ?>" style="width:<?php echo $panelWidth - ($gutter * 3) ?>px">
												
											<?php if($this->countModules('panel1')) : ?>
												<div id="panel1" style="width:<?php echo $$panel1Cols; ?>px;margin-right: <?php echo $gutter ?>px">
													<jdoc:include type="modules" name="panel1" style="jbChrome"/>
												</div>
											<?php endif; ?> 
											<?php if($this->countModules('panel2')) : ?>
												<div id="panel2" style="width:<?php echo $$panel2Cols; ?>px;margin-right: <?php echo $gutter ?>px">
													<jdoc:include type="modules" name="panel2" style="jbChrome"/>
												</div>
											<?php endif; ?> 
											<?php if($this->countModules('panel3')) : ?>
												<div id="panel3" style="width:<?php echo $$panel3Cols; ?>px">
													<jdoc:include type="modules" name="panel3" style="jbChrome"/>
												</div>
											<?php endif; ?> 
											<?php if($this->countModules('panel4')) : ?>
												<div id="panel4" style="width:<?php echo $$panel4Cols; ?>px">
													<jdoc:include type="modules" name="panel4" style="jbChrome"/>
												</div>
											<?php endif; ?> 
										</div>
									</div>
									<?php endif; ?> 
										</div>
										
								</div>	
						
								<?php if($this->countModules('breadcrumb')) : ?>
								<!-- Breadcrumb -->
									<div id="breadcrumb">
											<jdoc:include type="modules" name="breadcrumb" style="jbChrome" />
									</div>
									<div class="clear"></div>
								<!-- End Breadcrumb -->
								<?php endif; ?>

							
						
						</div>
				</div>
		</div>
</div>
<!-- Nav Wrapper -->