<?php
/**
 * @package		Joomla Bamboo Zen Grid Framework
 * @Type        Core Framework Files
 * @version		v1.0
 * @author		Joomal Bamboo http://www.joomlabamboo.com
 * @copyright 	Copyright (C) 2007 - 2010 Joomla Bamboo
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */
if (!class_exists('ZenGrid')) {
	class ZenGrid
	{
		private $manifest;
		private $template;
	    private $params;
	
		public function getTemplate()
		{
	        //jimport('joomla.client.helper');
			jimport( 'joomla.environment.request' );		
			$id	= JRequest::getInt('id');
            
			if (!isset($this->template))
			{
				// Load the site template name from the database
				$db = JFactory::getDbo();
				$query = $db->getQuery(true);
				$query->select('template');
				$query->from('#__template_styles');
				$query->where('id = '.$id);
				$db->setQuery($query);
				$result = $db->loadObject();
				$this->template = JFilterInput::getInstance()->clean($result->template, 'cmd');
			}
			return $this->template;
		}
	
		public function getFramework(){
			return 'zengridframework';
		}
	
		public function getManifest(){
			if (!isset($this->manifest)){
				$this->manifest = simplexml_load_file(JPATH_ROOT.DS.'templates'.DS.self::getTemplate().DS.'templateDetails.xml');
			}
			return $this->manifest;
		}
	
		public function getParam($param)
		{
		
			jimport( 'joomla.environment.request' );		
			$id	= JRequest::getInt('id');		
			if(!(isset ($this->params))){
			// Load the site template params from the database
				$db = JFactory::getDbo();
				$query = $db->getQuery(true);
				$query->select('params');
				$query->from('#__template_styles');
				$query->where('id = '.$id);
				$db->setQuery($query);
				$result = $db->loadObject();
				$this->params = new JRegistry($result->params);
			}
			if ($this->params->get($param)) {
				return $this->params->get($param);
			} else {
				return false;
			}
		}
	}
}