<?php 
defined('_JEXEC') or die();


/**
 * @package		Joomla Bamboo Zen Grid Framework
 * @Type        Core Framework Files - Manually loads the scripts for the zgf and JB extensions into the head of the index file.
 * @version		v1.1
 * @author		Joomlabamboo http://www.joomlabamboo.com
 * @copyright 	Copyright (C) 2007 - 2010 Joomla Bamboo
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */

// Check for the override

// Check for bottom file
if(file_exists( JPATH_ROOT."/templates/$this->template/layout/logo.php")) 
{ 
	require(JPATH_ROOT."/templates/$this->template/layout/logo.php");   
}
else {
?>


		<div id="logo" style="width:<?php echo $$logoCols; ?>px">

			<<?php echo $logoClass; ?>>
				<a href="<?php echo $logoLink ?>" <?php if ($logoType =="text") { ?>class="<?php echo $fontStackLogo ?>" style="font-size:<?php echo $logoFontSize ?>" <?php } ?>>

					<?php if ($logoType =="image") { ?><img src="<?php echo $this->baseurl.'/'.$logoFile; ?>" alt="<?php echo $logoAltTag ;?>" /><?php } ?>

					<?php if ($logoType =="text") { echo $logoText; } ?>								
				</a>
			</<?php echo $logoClass; ?>>
				
		<?php if ($enableTagline) { ?>
			<div id="tagline">
				<span style="margin-left:<?php echo $taglineLeft ?>;margin-top:<?php echo $taglineTop ?>;"><?php echo $tagline ?></span>
			</div>
		<?php 

			} ?>
		</div> 
<?php } ?>