<?php
/**
 * @package		Joomla Bamboo Zen Grid Framework
 * @Type        Core Framework Files
 * @version		v1.0
 * @author		Joomal Bamboo http://www.joomlabamboo.com
 * @copyright 	Copyright (C) 2007 - 2010 Joomla Bamboo
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */

// Check to ensure this file is within the rest of the framework
defined('JPATH_BASE') or die();
jimport('joomla.html.html');
jimport('joomla.form.formfield');

/**
 * Renders a editors element
 *
 * @package 	Joomla.Framework
 * @subpackage		Form
 * @since		1.6
 */

class JFormFieldZenMainContentNav extends JFormField
{
	/**
	* Element name
	*
	* @access	protected
	* @var		string
	*/
	
    protected $type = 'zenmaincontentnav';

	protected function getInput()
	{
		return '<div class="maincontentnav"><ul>
			<li><a href="#2colL">Center</a></li>
			<li><a href="#2colL">2 Cols L</a></li>
			<li><a href="#2colR">2 Cols R</a></li>
			<li><a href="#3col">3 Cols</a></li>
			<li><a href="#4col">4 Cols</a></li>
			<li><a href="#3colLC">3 Cols L + C</a></li>
			<li><a href="#3colRC">3 Cols C + R</a></li>
			</ul></div>';
	}
        
        public function getLabel() {
            return '<span class="hideLabel">' . parent::getLabel() . '</span>';
        }

}
?>