/**
 * @package		Joomla Bamboo Zen Grid Framework
 * @Type        Core Framework Files
 * @version		v1.0
 * @author		Joomal Bamboo http://www.joomlabamboo.com
 * @copyright 	Copyright (C) 2007 - 2010 Joomla Bamboo
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */
window.addEvent('domready', function() {
	
	$('style-form').addClass('jbTemplate');
	
	//remove the tabs panel from the accordion
	$('style-form').getElement('div.pane-sliders').getFirst('div.panel').addClass('tabspane').removeClass('panel');
	
	//add template style fieldsets to first panel
	if($('tplStyleForm')){
		$('style-form').getFirst('div.width-60').getElement('fieldset.adminform > label, fieldset.adminform li#jform_title-lbl').destroy();
		($('style-form').getFirst('div.width-60').getElement('fieldset.adminform').getElement('span.mod-desc')).destroy();
		($('style-form').getFirst('div.width-60').getElement('fieldset.adminform')).replaces($('tplStyleForm'));
		}
	//add admin fieldsets to first panel
	if($('menuSelect'))
		($('style-form').getLast('div.width-60').getElement('fieldset.adminform')).replaces($('menuSelect'));
	
	//create accordion for manipulation
	var myAccordion = new Fx.Accordion($$('div.pane-sliders > .panel > h3.title'), $$('div.pane-sliders > .panel > div.pane-slider'), {
		onActive: function(t,e) {
/*			t.addClass('pane-toggler-down');
			t.removeClass('pane-toggler');
			e.addClass('pane-down');
			e.removeClass('pane-hide');
			Cookie.write('jpanesliders',$$('div.pane-sliders > .panel > h3').indexOf(t));*/
		},
		onBackground: function(t,e) {
/*			t.addClass('pane-toggler');
			t.removeClass('pane-toggler-down');
			e.addClass('pane-hide');
			e.removeClass('pane-down');
			if($$('div.pane-sliders > .panel > h3').length==$$('div.pane-sliders > .panel > h3').length) 
				Cookie.write('jpanesliders',-1);*/
		},

		duration: 200,

		opacity: false,
		alwaysHide: false
	});
	
	var menuAccordion = new Fx.Accordion($$('ul.tabs > li > a.parent'), $$('ul.tabs > li > ul'), {

		duration: 200,

		opacity: false,
		alwaysHide: false	
	});
			
	//onClick function for tabs
	$$('#jbtabs a').addEvent('click', function() {
		var tab = this.getProperty('href');
		var url = 'http://www.joomlabamboo.com/images/stories/zengrid2/ZenGridFrameworkModulePositions.png';
		//if tab is inactive or modal we do nothing
		if((tab == url)||(tab == '#')) {
			return;
		}
		var selected = (tab.substr(1))+'-options';		
		var handle = $(selected).getParent('div.panel').getElement('h3.title');
		var pane = $(selected).getParent('div.panel').getElement('div.pane-slider');
		//remove active class from all tabs
		$$('#jbtabs a').each(function(e) {
			e.removeClass('active');
		});
		//add active class to selected parent and child tab
		this.addClass('active');
		if(this.hasClass('child')){
			this.getParent('ul').getParent('li').getElement('a').addClass('active');
		}
		//bof work around for the joomla accordion not having an id bug
		$$('div.pane-sliders > .panel > h3.title').each(function(e) {
			e.removeClass('pane-toggler-down').addClass('pane-toggler');		
		});
		$$('div.pane-sliders > .panel > div.pane-slider').each(function(e) {
			e.removeClass('pane-down').addClass('pane-hide');
		});
		handle.removeClass('pane-toggler').addClass('pane-toggler-down');
		pane.removeClass('pane-hide').addClass('pane-down');
		//eof work around for the joomla accordion not having an id bug
		//we toggle the panel
		myAccordion.display(pane);
		return false;
	});
	
	//onClick function for maincontentnav tabs and other page tabs
	$$('div.maincontentnav a', 'a#accordionLink').addEvent('click', function() {
		var tab = this.getProperty('href');
		var url = 'http://www.joomlabamboo.com/images/stories/zengrid2/ZenGridFrameworkModulePositions.png';
		//if tab is modal or inactive we do nothing
		if((tab == url)||(tab == '#')) {
			return;
		}
		var selected = (tab.substr(1))+'-options';		
		var handle = $(selected).getParent('div.panel').getElement('h3.title');
		var pane = $(selected).getParent('div.panel').getElement('div.pane-slider');
		//bof work around for the joomla accordion not having an id bug
		$$('div.pane-sliders > .panel > h3.title').each(function(e) {
			e.removeClass('pane-toggler-down').addClass('pane-toggler');		
		});
		$$('div.pane-sliders > .panel > div.pane-slider').each(function(e) {
			e.removeClass('pane-down').addClass('pane-hide');
		});
		handle.removeClass('pane-toggler').addClass('pane-toggler-down');
		pane.removeClass('pane-hide').addClass('pane-down');
		//eof work around for the joomla accordion not having an id bug	
		//we toggle the panel
		myAccordion.display(pane);
		return false;
	});	
});
