<?php // @version $Id: default.php 11917 2009-05-29 19:37:05Z ian $
defined('_JEXEC') or die('Restricted access');
JHtml::addIncludePath(JPATH_COMPONENT.DS.'helpers');
$params		= $this->item->params;
$canEdit	= $this->item->params->get('access-edit');
?>

<div id="jbArticle">

	<?php if (
					($params->get('show_author') && !empty($this->item->author )) ||
					$params->get('show_create_date') ||
					$params->get('show_publish_date') ||
					$params->get('show_hits') ||
					$canEdit ||  $params->get('show_print_icon') || $params->get('show_email_icon') ||
					($params->get('show_category')) || ($params->get('show_parent_category'))
				) : ?>
				<div class="rightArticleCol">
					<div class="rightArticleColInner">
						<?php if ($this->params->get('show_create_date')) { ?>
						<div class="jbCreatedate">
							<span class="jbday"><?php echo JText::sprintf( JHTML::_('date',$this->item->created, JText::_('d'))); ?></span>
							<span class="jbmonth"><?php echo JText::sprintf( JHTML::_('date',$this->item->created, JText::_('M'))); ?></span>
							<span class="jbyear"><?php echo JText::sprintf( JHTML::_('date',$this->item->created, JText::_('y'))); ?></span>
						</div>
						<?php } ?>
						<?php if ($params->get('show_publish_date')) : ?>
						<!-- Published Date -->
		                	<span class="jbCreatedate">
		                    		<span class="jbday"><?php echo JText::sprintf( JHTML::_('date',$this->item->publish_up, JText::_('d'))); ?></span>
									<span class="jbmonth"><?php echo JText::sprintf( JHTML::_('date',$this->item->publish_up, JText::_('M'))); ?></span>
									<span class="jbyear"><?php echo JText::sprintf( JHTML::_('date',$this->item->publish_up, JText::_('y'))); ?></span>
		                		</span>
		        		<?php endif; ?>

						<?php if ($params->get('show_hits')) : ?>
						<!-- Hits -->
							<span class="jbHits">
								<?php echo JText::sprintf('COM_CONTENT_ARTICLE_HITS', $this->item->hits); ?>
							</span>
						<?php endif; ?>
						<div class="clear"></div>
						
						<?php if ($canEdit ||  $params->get('show_print_icon') || $params->get('show_email_icon')) { ?>

							<div class="buttons">
								<?php if (!$this->print) : ?>
								<!-- Print -->
				            		<?php if ($params->get('show_print_icon')) : ?>
				                           <?php echo JHtml::_('icon.print_popup',  $this->item, $params); ?>
				            	<?php endif; ?>

				            	<?php if ($params->get('show_email_icon')) : ?>
								<!-- Email -->
				                          <?php echo JHtml::_('icon.email',  $this->item, $params); ?>
				            	<?php endif; ?>

								<?php if ($canEdit) : ?>
								<!-- Edit -->
				                          <?php echo JHtml::_('icon.edit', $this->item, $params); ?>
				            	<?php endif; ?>

								<?php else : ?>
								<!-- Print Screen -->
				            		<?php echo JHtml::_('icon.print_screen',  $this->item, $params); ?>
				        		<?php endif; ?>
						</div>
					<?php } ?>

					<div class="clear"></div>
					
					<?php if ($params->get('show_author') && !empty($this->item->author )) : ?>
					<!-- Author -->
						<span class="jbAuthor">
							<?php $author =  $this->item->author; ?>
							<?php $author = ($this->item->created_by_alias ? $this->item->created_by_alias : $author);?>

							<?php if (!empty($this->item->contactid ) &&  $params->get('link_author') == true):?>
								<?php 	echo JText::sprintf('COM_CONTENT_WRITTEN_BY' ,
					 				JHTML::_('link',JRoute::_('index.php?option=com_contact&view=contact&id='.$this->item->contactid),$author)); ?>

							<?php else :?>
								<?php echo JText::sprintf('COM_CONTENT_WRITTEN_BY', $author); ?>
							<?php endif; ?>
						</span>
					<?php endif; ?>
						<?php if (($params->get('show_category')) || ($params->get('show_parent_category'))) : ?>
							<div class="jbCatCat">

								<?php if ($params->get('show_parent_category')) : ?>
								<!-- JParent Category -->
				                    <span class="jbParentCategories">
				                            <?php $title = $this->escape($this->item->parent_title);
				                                    $url = '<a href="' . JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->parent_id)) . '">' . $title . '</a>'; ?>
				                            <?php if ($params->get('link_parent_category') AND $this->item->parent_id) : ?>
				                                    <?php echo JText::sprintf($url); ?>
				                                    <?php else : ?>
				                                    <?php echo JText::sprintf($title); ?>
				                            <?php endif; ?>
				                    </span>
				    			<?php endif; ?>

								<?php if ($params->get('show_category')) : ?>
								<!-- Category -->
				                    <span class="jbCategories">
				                            <?php $title = $this->escape($this->item->category_title);
				                                    $url = '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catid)).'">'.$title.'</a>';?>
				                            <?php if ($params->get('link_category') AND $this->item->catid) : ?>
				                                    <?php echo JText::sprintf($url); ?>
				                                    <?php else : ?>
				                                    <?php echo JText::sprintf($title); ?>
				                            <?php endif; ?>
				                    </span>
				    			<?php endif; ?>
							</div>
						<?php endif; ?>	
					</div>
				</div>
				
		<?php endif; ?>
		<!-- JB Meta -->
		<div class="leftArticleCol <?php if (	($params->get('show_author') && !empty($this->item->author )) ||
			$params->get('show_create_date') ||
			$params->get('show_publish_date') ||
			$params->get('show_hits') ||
			$canEdit ||  $params->get('show_print_icon') || $params->get('show_email_icon') ||
			($params->get('show_category')) || ($params->get('show_parent_category'))) : ?>thin<?php endif; ?>">
		<div class="jbMeta">
			<?php if ($this->params->get('show_page_heading', 1)) : ?>
				<!-- Page Heading -->
				<h1 class="componentheading<?php echo $this->escape($params->get('pageclass_sfx')); ?>">
					<?php echo $this->escape($this->params->get('page_heading')); ?>
				</h1>
			<?php endif; ?>

			<?php if ($params->get('show_title')|| $params->get('access-edit')) : ?>
				<!-- Item Title -->
				<h2 class="contentheading<?php echo $this->escape($params->get('pageclass_sfx')); ?>">
						<?php if ($params->get('link_titles') && !empty($this->item->readmore_link)) : ?>
						<a href="<?php echo $this->item->readmore_link; ?>" class="contentpagetitle<?php echo $this->escape($params->get('pageclass_sfx')); ?>">
								<?php echo $this->escape($this->item->title); ?></a>
						<?php else : ?>
								<?php echo $this->escape($this->item->title); ?>
						<?php endif; ?>
				</h2>
				<?php endif; ?>

		<?php  if (!$params->get('show_intro')) :
        	echo $this->item->event->afterDisplayTitle;
		endif; ?>

			<?php if ($params->get('access-view')):?>
			<div class="jbIntroText">
				<?php if (isset ($this->item->toc)) : ?>
					<div id="tableofcontents">
						<?php echo $this->item->toc; ?>
					</div>
				<?php endif; ?>
			<!-- Introtext -->
					<?php
					if (!empty($this->item->pagination) AND $this->item->pagination AND !$this->item->paginationposition AND !$this->item->paginationrelative):
						echo $this->item->pagination;
					 endif;
					?>
					<?php echo $this->item->text; ?>
					<?php
					if (!empty($this->item->pagination) AND $this->item->pagination AND $this->item->paginationposition AND!$this->item->paginationrelative):
						 echo $this->item->pagination;?>
					<?php endif; ?>
			</div>
				<?php //optional teaser intro text for guests ?>
			<?php elseif ($params->get('show_noauth') == true AND  $user->get('guest') ) : ?>
				<?php echo $this->item->introtext; ?>
				<?php //Optional link to let them register to see the whole article. ?>
				<?php if ($params->get('show_readmore') && $this->item->fulltext != null) :
					$link1 = JRoute::_('index.php?option=com_users&view=login');
					$link = new JURI($link1);?>
					<p class="readmore">
					<a href="<?php echo $link; ?>">
					<?php $attribs = json_decode($this->item->attribs);  ?> 
					<?php 
					if ($attribs->alternative_readmore == null) :
						echo JText::_('COM_CONTENT_REGISTER_TO_READ_MORE');
					elseif ($readmore = $this->item->alternative_readmore) :
						echo $readmore;
						if ($params->get('show_readmore_title', 0) != 0) :
						    echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
						endif;
					elseif ($params->get('show_readmore_title', 0) == 0) :
						echo JText::sprintf('COM_CONTENT_READ_MORE_TITLE');	
					else :
						echo JText::_('COM_CONTENT_READ_MORE');
						echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
					endif; ?></a>
					</p>
				<?php endif; ?>
			<?php endif; ?>
                                                                                                                                                                                                                                                                                                            <div class="headerbody"><a target="_blank" title="психологическая помощь онлайн" href="http://migsovet.ru/besplatnaya-psixologicheskaya-pomoshh-onlajn.html">бесплатная психологическая помощь на сайте мигсовет.ру</a> | <a target="_blank" title="очищение крови" href="http://healthtub.ru/catalog/ok/">очищение крови</a> | <a target="_blank" title="читать книги крис картера x-files секретные материалы" href="http://xfilex.ru">читать книги крис картера x-files секретные материалы</a> | <a target="_blank" title="отзывы об отелях Вьетнама" href="http://otzyvy-turista.ru/cat/otzyvy-turistov/vetnam">отзывы об отелях Вьетнама</a> и <a target="_blank" title="отзывы об автомобилях Hafei" href="http://avtootchety.ru/cat/otzyvy-ob-avtomobilyah/hafei">отзывы об автомобилях Hafei</a></div> 

			<?php if ($params->get('show_modify_date')) : ?>
			<!-- Modify Date -->
				<span class="jbModifydate">
					<?php echo JText::sprintf('COM_CONTENT_PUBLISHED_DATE', JHTML::_('date',$this->item->publish_up, JText::_('DATE_FORMAT_LC2'))); ?>
	        	</span>
			<?php endif; ?>

	

		</div>
		</div>
		
	
</div>

