<?php // @version $Id: blog_item.php 11917 2009-05-29 19:37:05Z ian $
defined('_JEXEC') or die('Restricted access');

$params = &$this->item->params;
$canEdit	= $this->item->params->get('access-edit');
JHtml::addIncludePath(JPATH_COMPONENT.'/helpers/html');
JHtml::_('behavior.tooltip');
JHtml::core();
?>
<?php if ($this->item->state == 0) : ?>
<div class="system-unpublished">
<?php endif; ?>

<div class="jbSection">

	<?php if (
					($params->get('show_author') && !empty($this->item->author )) ||
					$params->get('show_create_date') ||
					$params->get('show_publish_date') ||
					$params->get('show_hits') ||
					$canEdit ||  $params->get('show_print_icon') || $params->get('show_email_icon') ||
					($params->get('show_category')) || ($params->get('show_parent_category'))
				) : ?>
				<div class="rightArticleCol">
					<div class="rightArticleColInner">
						<?php if ($this->params->get('show_create_date')) { ?>
						<div class="jbCreatedate">
							<span class="jbday"><?php echo JText::sprintf( JHTML::_('date',$this->item->created, JText::_('d'))); ?></span>
							<span class="jbmonth"><?php echo JText::sprintf( JHTML::_('date',$this->item->created, JText::_('M'))); ?></span>
							<span class="jbyear"><?php echo JText::sprintf( JHTML::_('date',$this->item->created, JText::_('y'))); ?></span>
						</div>
						<?php } ?>
						<?php if ($params->get('show_publish_date')) : ?>
						<!-- Published Date -->
		                	<span class="jbCreatedate">
		                    		<span class="jbday"><?php echo JText::sprintf( JHTML::_('date',$this->item->publish_up, JText::_('d'))); ?></span>
									<span class="jbmonth"><?php echo JText::sprintf( JHTML::_('date',$this->item->publish_up, JText::_('M'))); ?></span>
									<span class="jbyear"><?php echo JText::sprintf( JHTML::_('date',$this->item->publish_up, JText::_('y'))); ?></span>
		                		</span>
		        		<?php endif; ?>

						<?php if ($params->get('show_hits')) : ?>
						<!-- Hits -->
							<span class="jbHits">
								<?php echo JText::sprintf('COM_CONTENT_ARTICLE_HITS', $this->item->hits); ?>
							</span>
						<?php endif; ?>
						<div class="clear"></div>
						
						<?php if ($canEdit ||  $params->get('show_print_icon') || $params->get('show_email_icon')) { ?>

							<div class="buttons">
	
								<!-- Print -->
				            		<?php if ($params->get('show_print_icon')) : ?>
				                           <?php echo JHtml::_('icon.print_popup',  $this->item, $params); ?>
				            	<?php endif; ?>

				            	<?php if ($params->get('show_email_icon')) : ?>
								<!-- Email -->
				                          <?php echo JHtml::_('icon.email',  $this->item, $params); ?>
				            	<?php endif; ?>

								<?php if ($canEdit) : ?>
								<!-- Edit -->
				                          <?php echo JHtml::_('icon.edit', $this->item, $params); ?>
				            	<?php endif; ?>
						</div>
					<?php } ?>

					<div class="clear"></div>
					
					<?php if ($params->get('show_author') && !empty($this->item->author )) : ?>
					<!-- Author -->
						<span class="jbAuthor">
							<?php $author =  $this->item->author; ?>
							<?php $author = ($this->item->created_by_alias ? $this->item->created_by_alias : $author);?>

							<?php if (!empty($this->item->contactid ) &&  $params->get('link_author') == true):?>
								<?php 	echo JText::sprintf('COM_CONTENT_WRITTEN_BY' ,
					 				JHTML::_('link',JRoute::_('index.php?option=com_contact&view=contact&id='.$this->item->contactid),$author)); ?>

							<?php else :?>
								<?php echo JText::sprintf('COM_CONTENT_WRITTEN_BY', $author); ?>
							<?php endif; ?>
						</span>
					<?php endif; ?>
						<?php if (($params->get('show_category')) || ($params->get('show_parent_category'))) : ?>
							<div class="jbCatCat">

								<?php if ($params->get('show_parent_category')) : ?>
								<!-- JParent Category -->
				                    <span class="jbParentCategories">
				                            <?php $title = $this->escape($this->item->parent_title);
				                                    $url = '<a href="' . JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->parent_id)) . '">' . $title . '</a>'; ?>
				                            <?php if ($params->get('link_parent_category') AND $this->item->parent_id) : ?>
				                                    <?php echo JText::sprintf($url); ?>
				                                    <?php else : ?>
				                                    <?php echo JText::sprintf($title); ?>
				                            <?php endif; ?>
				                    </span>
				    			<?php endif; ?>

								<?php if ($params->get('show_category')) : ?>
								<!-- Category -->
				                    <span class="jbCategories">
				                            <?php $title = $this->escape($this->item->category_title);
				                                    $url = '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catid)).'">'.$title.'</a>';?>
				                            <?php if ($params->get('link_category') AND $this->item->catid) : ?>
				                                    <?php echo JText::sprintf($url); ?>
				                                    <?php else : ?>
				                                    <?php echo JText::sprintf($title); ?>
				                            <?php endif; ?>
				                    </span>
				    			<?php endif; ?>
							</div>
						<?php endif; ?>	
					</div>
				</div>
				
	<?php endif; ?>
	
	
	
	<div class="leftArticleCol <?php if (	($params->get('show_author') && !empty($this->item->author )) ||
		$params->get('show_create_date') ||
		$params->get('show_publish_date') ||
		$params->get('show_hits') ||
		$canEdit ||  $params->get('show_print_icon') || $params->get('show_email_icon') ||
		($params->get('show_category')) || ($params->get('show_parent_category'))) : ?>thin<?php endif; ?>">
	<div class="jbMeta">
		<?php if ($params->get('show_title')) : ?>
		<!-- Title -->
		<h2 class="contentheading<?php echo $this->escape($this->item->params->get('pageclass_sfx')); ?>">
			<?php if ($params->get('link_titles') && $params->get('access-view')) : ?>
				<a href="<?php echo JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid)); ?>" class="contentpagetitle<?php echo $this->escape($this->item->params->get('pageclass_sfx')); ?>">
	            	<?php echo $this->escape($this->item->title); ?>
				</a>
	            <?php else : ?>
	                 <?php echo $this->escape($this->item->title); ?>
	            <?php endif; ?>
	    </h2>
		<?php endif; ?>

		<?php if (!$params->get('show_intro')) : ?>
		<!-- After Title Display -->
			<?php echo $this->item->event->afterDisplayTitle; ?>
		<?php endif; ?>

		<!-- Start JB Category Text -->
		<div class="jbCategoryText">	
			<?php echo $this->item->introtext; ?>
		</div>
		
		<?php if ($params->get('show_readmore') && $this->item->readmore) :
			if ($params->get('access-view')) :
			$link = JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid));
			else :
			$menu = JFactory::getApplication()->getMenu();
			$active = $menu->getActive();
			$itemId = $active->id;
			$link1 = JRoute::_('index.php?option=com_users&view=login&&Itemid=' . $itemId);
			$returnURL = JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid));
			$link = new JURI($link1);
			$link->setVar('return', base64_encode($returnURL));
			endif;
		?>
		
		<!-- Start Readmore -->
		<div class="jbReadmore">
			<a href="<?php echo $link; ?>" class="jbReadon<?php echo $this->item->params->get('pageclass_sfx'); ?>">
				<?php if (!$params->get('access-view')) :
					echo JText::_('COM_CONTENT_REGISTER_TO_READ_MORE');
				elseif ($readmore = $this->item->alternative_readmore) :
					echo $readmore;
					echo JHTML::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
				elseif ($params->get('show_readmore_title', 0) == 0) :
					echo JText::sprintf('COM_CONTENT_READ_MORE_TITLE');
				else :
					echo JText::_('COM_CONTENT_READ_MORE');
					echo JHTML::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
				endif; ?>
			</a>
		</div>
		<?php endif; ?>



		<?php if ($params->get('show_modify_date')) : ?>
			<span class="jbModifydate">
				<?php echo JText::sprintf('COM_CONTENT_PUBLISHED_DATE', JHTML::_('date',$this->item->publish_up, JText::_('DATE_FORMAT_LC2'))); ?>
        	</span>
		<?php endif; ?>


	<!-- End JB MEta -->
	</div>
	</div>
	
		
	
</div>
<!-- End JB Section -->

<?php if ($this->item->state == 0) : ?>
</div>
<?php endif; ?>

<div class="item-separator"></div>
<?php echo $this->item->event->afterDisplayContent; ?>
