<?php
/**
 * @package		Joomla Bamboo Zen Grid Framework
 * @Type        Core Framework Files
 * @version		v1.0
 * @author		Joomal Bamboo http://www.joomlabamboo.com
 * @copyright 	Copyright (C) 2007 - 2010 Joomla Bamboo
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */

// Check to ensure this file is within the rest of the framework
defined('JPATH_BASE') or die();
jimport('joomla.html.html');
jimport('joomla.form.formfield');
/**
 * Renders a editors element
 *
 * @package 	Joomla.Framework
 * @subpackage		Form
 * @since		1.6
 */

class JFormFieldZentitle extends JFormField
{
	/**
	* Element name
	*
	* @access	protected
	* @var		string
	*/
	
       protected  $type = 'zenTitle';

        protected function getInput()
	{
		return '<h4 class="jbtitle">' . parent::getLabel() . '</h4>';
	}
        
        public function getLabel() {
            return '<span class="hideLabel">' . parent::getLabel() . '</span>';
        }

}
?>