<?php 
defined('_JEXEC') or die();


/**
 * @package		Joomla Bamboo Zen Grid Framework
 * @Type        Core Framework Files - Manually loads the scripts for the zgf and JB extensions into the head of the index file.
 * @version		v1.1
 * @author		Joomlabamboo http://www.joomlabamboo.com
 * @copyright 	Copyright (C) 2007 - 2010 Joomla Bamboo
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */


// Variables

	$microblogCSSDec ="";
	$slideshowCSSDec ="";
	$jTweetCSSDec = "";
	$minimoo2CSSDec ="";
	$captifycontentCSSDec ="";
	$jbLoginCSSDec ="";

				
// Core ZGF Javascript
 

	// JB Extension Javascript

	// Microblog
 	if (Yth::hasModule('microblog')) {
 		
 		$microblogCSSDec = '<link href="'.$base.'/modules/mod_microblog/css/microblog.css" rel="stylesheet" type="text/css" media="screen" />'; 
 	
 	}

    // Slideshow Scripts
    if (Yth::hasModule('slideshow3')) {
 		$slideshowCSSDec = '<link href="'.$base.'/modules/mod_slideshow3/slideshow/slideshow.css" rel="stylesheet" type="text/css" media="screen" />';   
    }
    
    
    
    // Load jTweet
    if (Yth::hasModule('jTweet')) {
  	
  		$jTweetCSSDec = '<link href="'.$base.'/modules/mod_jTweet/css/jTweet.css" rel="stylesheet" type="text/css" media="screen" />';  
     
    }
    
    
     // Minimoo2
    if (Yth::hasModule('minimoo2')) {
 
		$minimoo2CSSDec = '<link href="'.$base.'/modules/mod_minimoo2/css/minimoo2.css" rel="stylesheet" type="text/css" media="screen" />';
    
    }
    
    
     // CaptifyContent
    if (Yth::hasModule('captifyContent')) {
 
		$captifycontentCSSDec = '<link href="'.$base.'/modules/mod_captifycontent/css/captifycontent.css" rel="stylesheet" type="text/css" media="screen" />';
    
    }
    
	
	// JB Login
	if (Yth::hasModule('jblogin')) {
 
		$jbLoginCSSDec = '<link href="'.$base.'/modules/mod_jblogin/css/jbLogin.css" rel="stylesheet" type="text/css" media="screen" />';
    
    }    
    
 

?>